%define api		1
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define gtklibname	%mklibname %{name}-gtk2_ %{api} %{major}
%define develname	%mklibname %{name} -d

%define api2		2
%define libname2	%mklibname %{name} %{api2} %{major}
%define gtk3libname	%mklibname %{name}-gtk3_ %{api} %{major}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Xfce's freedesktop.org compliant menu library
Name:		garcon
Version:	0.6.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/libs/garcon/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)

#BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)

%description
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package data
Summary:	Locale and data files for %{name}
Group:		Graphical desktop/Xfce
Conflicts:	%{_lib}garcon0 < 0.2.0
#Added 11/2012 (wally)
Obsoletes:	%{name} < 0.2.0-2

%description data
This package contains the common data files and localizations for garcon,
Xfce's freedesktop.org menu implementation.

%package -n %{libname}
Summary:	Xfce's freedesktop.org menu implementation
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}
#Added 04/2012 (wally)
Obsoletes:	%{_lib}garcon0 < 0.2.0

%description -n %{libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{libname2}
Summary:        Xfce's freedesktop.org menu implementation
Group:          System/Libraries
Requires:       %{name}-data >= %{version}-%{release}

%description -n %{libname2}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{gtklibname}
Summary:	Common GTK library for Xfce's freedesktop.org menu implementation
Group:		System/Libraries

%description -n %{gtklibname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{gtk3libname}
Summary:        Common GTK3 library for Xfce's freedesktop.org menu implementation
Group:          System/Libraries

%description -n %{gtk3libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname2} = %{version}-%{release}
Requires:	%{gtklibname} = %{version}-%{release}
Requires:	%{gtk3libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--disable-static \
	--enable-gtk-doc=no
%make

%install
%makeinstall_std

# this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/menus/xfce-applications.menu

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files data -f %{name}.lang
%{_datadir}/desktop-directories/xfce-*.directory

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{gtklibname}
%{_libdir}/lib%{name}-gtk2-%{api}.so.%{major}{,.*}

%files -n %{libname2}
%{_libdir}/lib%{name}-%{api2}.so.%{major}{,.*}

%files -n %{gtk3libname}
%{_libdir}/lib%{name}-gtk3-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS HACKING NEWS README STATUS TODO
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{name}*/
%{_libdir}/lib%{name}*-%{api}.so
%{_libdir}/lib%{name}*-%{api2}.so
%{_libdir}/pkgconfig/%{name}*-%{api}.pc
%{_libdir}/pkgconfig/%{name}*-%{api2}.pc


%changelog
* Sun Apr 16 2017 wally <wally> 0.6.0-1.mga6
+ Revision: 1096592
- new version 0.6.0
- drop upstreamed patches

* Mon Mar 28 2016 wally <wally> 0.5.0-5.mga6
+ Revision: 995878
- add patch from upstream bugzilla to fix assertion failure when opening the applications menu (xfce#12059)

* Sun Feb 14 2016 umeabot <umeabot> 0.5.0-4.mga6
+ Revision: 960230
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 neoclust <neoclust> 0.5.0-3.mga6
+ Revision: 879725
- Enable debugs

* Wed Sep 09 2015 neoclust <neoclust> 0.5.0-2.mga6
+ Revision: 875108
- Fix build with new rpm ( empty debuginfo)

* Sun Jun 21 2015 wally <wally> 0.5.0-1.mga6
+ Revision: 837642
- new version 0.5.0
- add pkg for gtk3 lib
- disable gtk doc

* Thu Apr 09 2015 wally <wally> 0.4.0-3.mga5
+ Revision: 819953
- push to core/release

* Tue Apr 07 2015 wally <wally> 0.4.0-2.mga5
+ Revision: 819866
- add patch to fix missing menus when all items are in submenus (mga#15635, xfce#11801)

* Tue Mar 03 2015 wally <wally> 0.4.0-1.mga5
+ Revision: 817392
- new version 0.4.0
- drop patches from usptream

* Tue Jan 06 2015 wally <wally> 0.3.0-4.mga5
+ Revision: 808737
- add patches from upstream git:
  * fix menu icons for misconfigured desktop files (xfce#10709)
  * add case insensitive sorting to the menu (xfce#10594)
  * don't force URLs to be opened in a web browser (xfce#10212)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 741854
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 679415
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 0.3.0-1.mga5
+ Revision: 595886
- new version 0.3.0

* Sun Feb 16 2014 wally <wally> 0.3.0-0.git20140215.1.mga5
+ Revision: 592611
- use latest git snapshot
- create new lib pkg for common gtk parts

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 523558
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.2.1-1.mga4
+ Revision: 425072
- new version 0.2.1

* Fri Apr 12 2013 wally <wally> 0.2.0-5.mga3
+ Revision: 409822
- push to core/release (really fix missing translations, mga#9692)

* Fri Apr 12 2013 wally <wally> 0.2.0-4.1.mga3
+ Revision: 409808
- try to really fix missing translations

* Thu Apr 11 2013 wally <wally> 0.2.0-4.mga3
+ Revision: 409686
- rebuild due to a missing settings menu translations (mga#9692)

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 351063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 wally <wally> 0.2.0-2.mga3
+ Revision: 316740
- rename data package

* Mon May 28 2012 wally <wally> 0.2.0-1.mga3
+ Revision: 248449
- new version 0.2.0
- fix lib pkg name
- move i18n files to main pkg
- clean .spec

* Mon Feb 13 2012 wally <wally> 0.1.10-1.mga2
+ Revision: 208445
- new version 0.1.10

* Sat Jun 25 2011 ahmad <ahmad> 0.1.8-1.mga2
+ Revision: 113315
- Update to 0.1.8

* Thu Jan 27 2011 ahmad <ahmad> 0.1.5-2.mga1
+ Revision: 41629
- don't ship .a, .la
- imported package garcon

